﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;

namespace eyurale
{
    public class euryale_strings
    {
        public string StartingUp = "euryale: starting up...";
        public string WaitingToStabalize = "euryale: waiting for image to stabilize...";
        public string RreadyForColor = "euryale: hold up colored object and press button";
        public string GrabbingColor = "euryale: grabbing color...";

        public string Tracking = "euryale: tracking:";
        public string Color = "euryale: color:";

        public string GetCentroid(string str)
        {
            return Regex.Replace(str, ".*centroid=\\[([0-9]+),([0-9]+)\\].+",
                "$1, $2");
        }

        public string GetBoundingBox(string str)
        {
            return Regex.Replace(str, ".*bounding-box=\\[([0-9]+),([0-9]+),([0-9]+),([0-9]+)\\].*",
    "$1, $2, $3, $4");
        }
        public string GetNumPix(string str)
        {
            return Regex.Replace(str, ".*num-pix=([0-9]*).*", "$1");
        }

        public string GetDensity(string str)
        {
            return Regex.Replace(str, ".*density=([0-9]*).*", "$1");
        }

        public string GetColor(string str, string tag)
        {
            return Regex.Replace(str, ".*" + tag + "=\\[([0-9]+),([0-9]+),([0-9]+)\\].*",
                "$1, $2, $3");
        }
    }
}
